Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=waterloo&country_abbreviation=ca&demographic_age_20_to_24_years_percent_gt=0.12&page=1&property_type_eq=Apartment&province_abbreviation=on&results_per_page=5&select=address,demographic_age_20_to_24_years_percent,demographic_age_25_to_29_years_percent,estimate_rent_monthly,bedroom_total,interior_sq_m,estimate_list_price"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'waterloo');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('demographic_age_20_to_24_years_percent_gt', '0.12');
url.searchParams.set('page', '1');
url.searchParams.set('property_type_eq', 'Apartment');
url.searchParams.set('province_abbreviation', 'on');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,demographic_age_20_to_24_years_percent,demographic_age_25_to_29_years_percent,estimate_rent_monthly,bedroom_total,interior_sq_m,estimate_list_price');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": false,
"cost_cents": 3.1,
"data": [
{
"address": "211 302 Erb Street W",
"bedroom_total": 2,
"demographic_age_20_to_24_years_percent": 0.14193548,
"demographic_age_25_to_29_years_percent": 0.15483871,
"estimate_list_price": 623794,
"estimate_rent_monthly": 2476,
"interior_sq_m": 111.38982,
"property_id": "112c4fdd3363e8ed"
},
{
"address": "216 302 Erb Street W",
"bedroom_total": 2,
"demographic_age_20_to_24_years_percent": 0.14193548,
"demographic_age_25_to_29_years_percent": 0.15483871,
"estimate_list_price": 623794,
"estimate_rent_monthly": 2476,
"interior_sq_m": 111.38982,
"property_id": "15e786ff9e1d9c27"
},
{
"address": "414 312 Erb Street W",
"bedroom_total": 1,
"demographic_age_20_to_24_years_percent": 0.14193548,
"demographic_age_25_to_29_years_percent": 0.15483871,
"estimate_list_price": 325069,
"estimate_rent_monthly": 1837,
"interior_sq_m": 46.35823,
"property_id": "16250b1a82d74679"
},
{
"address": "31 154 Erb Street E",
"bedroom_total": 2,
"demographic_age_20_to_24_years_percent": 0.175,
"demographic_age_25_to_29_years_percent": 0.1625,
"estimate_list_price": 558101,
"estimate_rent_monthly": 2447,
"interior_sq_m": 111.38982,
"property_id": "169f0b47c50230bd"
},
{
"address": "7 286 Erb Street W",
"bedroom_total": 2,
"demographic_age_20_to_24_years_percent": 0.14193548,
"demographic_age_25_to_29_years_percent": 0.15483871,
"estimate_list_price": 647883,
"estimate_rent_monthly": 2582,
"interior_sq_m": 111.38982,
"property_id": "17d4da5227bbf7e8"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 2429
},
"price_quote": false,
"result_total": 12145,
"time_ms": 13,
"ui_info": {
"city": "Waterloo",
"city_id": "7bed79bd139816fa",
"city_link": "ca/on/waterloo",
"city_slug": "waterloo",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Ontario",
"province_abbreviation": "ON",
"province_abbreviation_id": "146699ee774499d3",
"province_abbreviation_link": "ca/on",
"province_slug": "ontario"
}
}